## org.eclipse.emf.ecore.xmi
Interface XMLSave

All Known Implementing Classes:
  EMOFSaveImpl, XMISaveImpl, XMLSaveImpl

    public interface XMLSave

This defines the methods for the interface that XMLResourceImpl uses to save the resource.

Nested Class Summary
`static interface` `XMLSave.XMLTypeInfo` This defines the methods for the interface used to determine whether type information should be saved when the XMLResource.OPTION_SAVE_TYPE_INFORMATION save option is enabled.

Method Summary
`org.w3c.dom.Document` `save(XMLResource resource, org.w3c.dom.Document document, java.util.Map<?,?> options, DOMHandler handler)`
`void` `save(XMLResource resource, java.io.OutputStream outputStream, java.util.Map<?,?> options)`
`void` `save(XMLResource resource, java.io.Writer writer, java.util.Map<?,?> options)` Saves the resource to the writer using the specified options.

Method Detail

### save

    void save(XMLResource resource,
              java.io.OutputStream outputStream,
              java.util.Map<?,?> options)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### save

    org.w3c.dom.Document save(XMLResource resource,
                              org.w3c.dom.Document document,
                              java.util.Map<?,?> options,
                              DOMHandler handler)

  Parameters:
    `resource` - a resource
    `document` - a `Document` (must not be null)
    `options` - options
    `handler` - a `DOMHandler` (must not be null)
  Returns:
    the document
  Since:
    2.1.0

### save

    void save(XMLResource resource,
              java.io.Writer writer,
              java.util.Map<?,?> options)
              throws java.io.IOException

  Saves the resource to the writer using the specified options.

  Parameters:
    `resource` -
    `writer` -
    `options` -
  Throws:
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.